
    (function() {
      var cdnOrigin = "https://cdn.shopify.com";
      var scripts = ["/cdn/shopifycloud/checkout-web/assets/c1/polyfills.Ba0kryUm.js","/cdn/shopifycloud/checkout-web/assets/c1/app.CiYIElMZ.js","/cdn/shopifycloud/checkout-web/assets/c1/locale-en.XlX1Dx7M.js","/cdn/shopifycloud/checkout-web/assets/c1/page-Information.BSGRSuPI.js","/cdn/shopifycloud/checkout-web/assets/c1/PaymentButtons.UjyC_19n.js","/cdn/shopifycloud/checkout-web/assets/c1/DeliveryMethodSelectorSection.BTYvz1Ve.js","/cdn/shopifycloud/checkout-web/assets/c1/useEditorShopPayNavigation.DXNDYvFL.js","/cdn/shopifycloud/checkout-web/assets/c1/VaultedPayment.ctCybQSk.js"];
      var styles = ["/cdn/shopifycloud/checkout-web/assets/c1/assets/app.Du6SSCMk.css","/cdn/shopifycloud/checkout-web/assets/c1/assets/DeliveryMethodSelectorSection.BvrdqG-K.css","/cdn/shopifycloud/checkout-web/assets/c1/assets/useEditorShopPayNavigation.CBpWLJzT.css","/cdn/shopifycloud/checkout-web/assets/c1/assets/VaultedPayment.OxMVm7u-.css"];
      var fontPreconnectUrls = ["https://fonts.shopifycdn.com"];
      var fontPrefetchUrls = ["https://fonts.shopifycdn.com/inter/inter_n4.b2a3f24c19b4de56e8871f609e73ca7f6d2e2bb9.woff2?h1=dHJhZGl0aW9uYWxtZWRpY2luYWxzLmNvbQ&hmac=a90d859eb7121b5e4df413e3ecb15af582fc7e6424e361ad309cf9f88c8f5927","https://fonts.shopifycdn.com/inter/inter_n7.02711e6b374660cfc7915d1afc1c204e633421e4.woff2?h1=dHJhZGl0aW9uYWxtZWRpY2luYWxzLmNvbQ&hmac=08f1bb0a94247611bd3e3d66fa80c07fb2146dbe7fb1d5d1274771335088d221"];
      var imgPrefetchUrls = ["https://cdn.shopify.com/s/files/1/0506/7037/0997/files/TM_logo_bab5b8fa-7a8f-4244-8f6b-86abdd56ba97_x320.jpg?v=1661964926"];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [cdnOrigin].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  